Subject: Fwd: nslookup mib questions

From: Randy Presuhn <[email-masked]>
Date: Wed, 31 Oct 2001 12:00:12 -0800 (PST)

Hi -

I'm forwarding a non-subscriber posting to the disman list.
Subscription instructions are at
http://www.ietf.org/html.charters/disman-charter.html

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id LAA23174
> 	for <[email-masked]>; Wed, 31 Oct 2001 11:41:36 -0800 (PST)
> Received: from mx-us-hou-1-int.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.10.2) with ESMTP id f9VJexN08013
> 	for <[email-masked]>; Wed, 31 Oct 2001 13:40:59 -0600 (CST)
> Received: from seymour39.SNMP.COM (seymour39.snmp.com [192.147.142.39])
> 	by mx-us-hou-1-int.bmc.com (Postfix) with SMTP id 8242F1FF054
> 	for <[email-masked]>; Wed, 31 Oct 2001 18:34:36 -0600 (CST)
> Received: from localhost (beach@localhost)
> 	by seymour39.SNMP.COM (8.9.3/m.000221) with SMTP id OAA06414;
> 	Wed, 31 Oct 2001 14:42:39 -0500 (EST)
> Date: Wed, 31 Oct 2001 14:42:39 -0500 (EST)
> From: Brian Beach <[email-masked]>
> To: [email-masked]
> Cc: Brian Beach <[email-masked]>
> Subject: nslookup mib questions
> Message-ID: <[email-masked]>
> MIME-Version: 1.0
> Content-Type: TEXT/PLAIN; charset=US-ASCII
> 
> Hello DISMAN group,
> 
> My name is Brian Beach, and I have been given the task of implementing
> remops (RFC 2925) for Remote Ping, Traceroute, and Lookup Operations.
> 
> I have started with the DISMAN-LOOKUP-MIB, and had a few questions which I
> was wondering if you could help me clear up.
> 
> The first question I have is that this mib does not support any polling
> interval to retry lookup requests. i.e. You create a row with RowStatus to
> createAndGo, if there is an TargetAddress defined, transition to active,
> which transitions OperStatus to enabled(1), which triggers the request.
> This only happens once. If you want to do this multiple times, what do you
> do?
> 
> Perhaps I should restate the question this way:
> What happens when the result comes back from the query, and OperStatus is
> set to completed(3)? It seems that the RowStatus should not remain active,
> since a RowStatus of active defines OperStatus to transition to
> enabled(1), and would get in an endless loop. So, should we transition
> RowStatus to notInService? This way if you want to try the
> same lookup request, you could simply do a set on RowStatus back to active
> and it would try again. The only problem with this is that after some
> period of time, any rows with a RowStatus of notInService or notReady are
> supposed to automatically get destroyed.
> 
> Secondly, I am not sure why the lookupCtlTime and lookupCtlRc are not
> saved in the Results Table. Can you expand on this?
> 
> Thanks for your time. Eventually, I will get to the ping and traceroute
> mibs as well.
> 
> Kind Regards, 
> 
> Brian Beach
> 
> +*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+
> Brian Beach           SNMP Research Incorporated     Phone: 865 573 1434
> [email-masked]        3001 Kimberlin Heights Road    Fax:   865 573 9197
> 		      Knoxville, Tennessee 37920
> +*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+*+
> 
> 
>